"""Role testing files using testinfra."""

USER1 = "user1"
USER2 = "user2"

def test_stow_installed(host):
    stow = host.package("stow")
    assert stow.is_installed

def test_dotfile_cloned(host):
    dotfiles = host.file(f"/home/{USER1}/.dotfiles")
    assert dotfiles.exists
    assert dotfiles.user == USER1

    dotfiles = host.file(f"/home/{USER2}/.dotfiles")
    assert dotfiles.exists
    assert dotfiles.user == USER2

def test_dotfile_stowed(host):
    homepath = f"/home/{USER1}"
    nvim = host.file(homepath + "/.config/nvim/")
    assert nvim.exists
    tmux = host.file(homepath + "/.tmux/")
    assert tmux.exists
    zshenv = host.file(homepath + "/.zshenv")
    assert zshenv.exists
    zsh = host.file(homepath + "/.config/zsh/")
    assert zsh.exists

    homepath = f"/home/{USER2}"
    nvim = host.file(homepath + "/.config/nvim/")
    assert nvim.exists
    tmux = host.file(homepath + "/.tmux/")
    assert tmux.exists
    zshenv = host.file(homepath + "/.zshenv")
    assert not zshenv.exists
    zsh = host.file(homepath + "/.config/zsh/")
    assert not zsh.exists

